INITIALIZEBDD(3)

NAME
initializeBdd - initializes the BDDs system

SYNOPSYS
#include "logmmm.h"
void initializeBdd(size)
int size;

PARAMETER

size
    First size of BDD system

DESCRIPTION
initializeBdd() initializes the BDDs system. size can be equal to SMALL_BDD, MEDIUM_BDD or LARGE_BDD according to the application size. This function creates the zero and one node that correspond to the 0 and 1 boolean constants.

EXAMPLE
#include "mutnnn.h"		/* mbk utilities */
#include "logmmm.h"
initializeBdd(MEDIUM_BDD);
dislayBdd(one);
/* it will display
ONE
*/
/* application using BDD ... */
destroyBdd(1);

ERROR
"initializeBdd : error - size out of bound"
size must be included into SMALL_BDD and LARGE_BDD.

SEE ALSO
log(1), bdd(1), destroyBdd(3), resetBdd(3), markAllBdd(3), numberNodeAllBdd(3).